package com.ruoyi.system.mapper;


import com.ruoyi.system.domain.ApproveUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;



/**
 * 用户表 数据层
 * 
 * @author ruoyi
 */
public interface ApproveUserMapper
{

    /**
     * 新增用户信息
     * 
     * @param user 用户信息
     * @return 结果
     */
    public int insertApproveUsers(@Param("aus")List<ApproveUser> user);

    /**
     * 修改用户信息
     * 
     * @param user 用户信息
     * @return 结果
     */
    public int updateApproveUsers(@Param("aus")List<ApproveUser> user);

    List<ApproveUser> selectApproveUserList(ApproveUser user);
    List<Long> findApproveUser();
    List<Long> findApproveUserByDeptId(@Param("deptId")Long deptId);
    void deleteApproveUserByUserId(@Param("userId")Long userId);
    void deleteApproveUserByDeptId(@Param("deptId")Long deptId);
    void deleteApproveUser();


}
